
Summary:	A soundfont editor for quickly designing musical instruments
Name:		polyphone
Version:	2.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		https://polyphone-soundfonts.com/en/
Source0:	polyphone-2.2.zip

BuildRequires: lib64alsa2
BuildRequires: lib64jack-devel
BuildRequires: lib64ogg-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64portaudio-devel
BuildRequires: lib64qcustomplot-qt5-devel
BuildRequires: lib64stk-devel
BuildRequires: lib64vorbis0-devel
BuildRequires: lib64rtmidi-devel

Requires: lib64qcustomplot-qt5_2
Requires: lib64rtmidi5
Requires: lib64stk4
Requires: stk

%description
A soundfont editor for quickly designing musical instruments

%prep
%setup -qn sources

%build
%qmake_qt5 "%{name}.pro" PREFIX=/usr
%make


%install
rm -rf %buildroot
mkdir -p %buildroot

install -vDm 755 "bin/%{name}" -t "%buildroot/usr/bin/"
install -vDm 644 "resources/logo.svg" "%buildroot/usr/share/icons/hicolor/scalable/apps/%{name}.svg"
install -vDm 644 "resources/%{name}.png" -t "%buildroot/usr/share/icons/hicolor/512x512/apps"
install -vDm 644 "contrib/%{name}."*1 -t "%buildroot/usr/share/man/man1/"
install -vDm 644 "contrib/%{name}.desktop" -t "%buildroot/usr/share/applications/"
install -vDm 644 "contrib/%{name}.xml" -t "%buildroot/usr/share/mime/packages/"

sd "Application;AudioVideo;Audio;Midi;Music;" "X-MandrivaLinux-Multimedia-Sound;" \
%buildroot/%{_datadir}/applications/polyphone.desktop

%files
%{_bindir}/polyphone
%{_datadir}/applications/polyphone.desktop
%{_datadir}/icons/hicolor/512x512/apps/polyphone.png
%{_datadir}/icons/hicolor/scalable/apps/polyphone.svg
%{_datadir}/man/man1/polyphone.1.bz2
%{_datadir}/man/man1/polyphone.fr.1.bz2
%{_datadir}/mime/packages/polyphone.xml


%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Jan 07 2020 tex - 2.2.0-1pclos2020
- create package
